Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

User:BakiDance/citizen.css: Difference between revisions

No edit summary
(blanking page)
Tag: Blanking
 
Line 1: Line 1:
.button-container__spacebetween {
  display: flex;
  align-items: end;
  justify-content: space-between;
}


.home-link__button {
display: flex;
    text-align: center;
}
.home-link__button a {
flex-grow: 1;
padding: 0.3rem 0.6rem;
border: 1px solid;
border-color: var( --border-color-base );
background: var( --color-surface-2 );
border-radius: 12px;
color: var( --color-base--emphasized ) !important;
}
.home-link__button a:hover {
background: var( --color-surface-2--hover );
}
.home-link__button a:active {
background: var( --color-surface-2--active );
}
/*no radius top*/
.home-link__button-connecttop {
display: flex;
    text-align: center;
}
.home-link__button-connecttop a {
flex-grow: 1;
padding: 0.3rem 0.6rem;
border: 1px solid;
border-color: var( --border-color-base );
background: var( --color-surface-2 );
border-radius: 0 0 12px 12px;
color: var( --color-base--emphasized ) !important;
}
.home-link__button-connecttop a:hover {
background: var( --color-surface-2--hover );
}
.home-link__button-connecttop a:active {
background: var( --color-surface-2--active );
}
.profile-header h1 {
  margin-top: unset;
}
.article {
  grid-area: article;
  justify-content: center;
  display: flex;
}
.widgets {
  grid-area: widgets;
}
.main-home-grid {
  display: grid;
  grid-template-areas:
    "article"
    "widgets";
}
@media (min-width: 500px) {
  .main-home-grid {
    grid-template-columns: auto 1fr;
    grid-gap: 0.3rem;
    grid-template-areas:
      "article widgets";
  }
}
.profile-iconbox {
position: relative;
background: var( --color-surface-1 );
border-radius: 8px;
box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );
font-size: 0.875rem;
overflow: hidden;
    width: fit-content;
}
.profile-iconbox .profile-iconbox__img a {
display: block;
height: 100%;
}
.profile-iconbox .profile-iconbox__img:after {
position: absolute;
pointer-events: none;
right: 0;
bottom: 0;
left: 0;
display: block;
height: 60%;
background: linear-gradient( to top, #000, transparent );
border-radius: 0 0 8px 8px;
content: '';
}
.profile-iconbox__img img {
  transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
}
.profile-iconbox__img img:hover {
  transform: scale(1.1);
  transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
}
.profile-iconbox__foreground {
position: absolute;
}
.profile-iconbox__foreground .profile-iconbox__label {
color: #bababa;
}
.profile-iconbox__foreground .profile-iconbox__header {
color: #fff;
}
.profile-iconbox .profile-iconbox__foreground {
pointer-events: none;
right: 15px;
bottom: 15px;
left: 15px;
}
.home-card__foreground .profile-iconbox__label {
color: #bababa;
}
.profile-iconbox__label {
color: var( --color-base--subtle );
font-size: 0.8125rem;
letter-spacing: 0.75px;
}
h3.profile-iconbox__header {
margin-top: 0;
font-size: 1rem;
}
.profile-iconbox__header a {
display: flex;
align-items: center;
justify-content: space-between;
}
.profile-iconbox__header a:after {
content: '▶';
font-size: 0.8125rem;
}
.profile-header {
  position: relative;
  padding: 15px;
  background: var(--color-surface-1);
  border-radius: 8px;
  box-shadow: 0 3px 6px rgba(0,0,0,0.04),0 3px 6px rgba(0,0,0,0.0575);
  font-size: 0.875rem;
}
.profile-avatar {
  width: fit-content;
}
.profile-avatar img {
  border-radius: 8px;
  transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
}
.profile-avatar img:hover {
  transform: scale(1.02);
}

Latest revision as of 03:39, 28 April 2023